# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Expand template text with embedded perl
Name:		perl-Text-Template
Version:	1.45
Release:	6.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Text-Template/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MJ/MJD/Text-Template-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Text::Template is a library for generating form letters, building HTML pages,
or filling in templates generally.  A `template' is a piece of text that
has little Perl programs embedded in it here and there.  When you
`fill in' a template, you evaluate the little programs and replace
them with their values.

%prep
%setup -q -n Text-Template-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
%{__make} test

%files
%defattr(-,root,root,-)
%doc README COPYING Artistic
%{perl_vendorlib}/Text/
%{_mandir}/man3/Text::Template.3pm*
%{_mandir}/man3/Text::Template::Preprocess.3pm*

%changelog
* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 1.45-6
- Rebuild for perl 5.12.1 in Rawhide

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> 1.45-5
- Fix dist tag for RHEL-6 Beta

* Fri Mar  5 2010 Paul Howarth <paul@city-fan.org> 1.45-4
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Thu Oct  1 2009 Paul Howarth <paul@city-fan.org> 1.45-3
- Define RPM macros in global scope

* Fri Nov 14 2008 Paul Howarth <paul@city-fan.org> 1.45-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Apr 21 2008 Paul Howarth <paul@city-fan.org> 1.45-1
- Update to 1.45
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Tue Mar 20 2007 Paul Howarth <paul@city-fan.org> 1.44-4
- BuildRequire perl(ExtUtils::MakeMaker)
- Fix dist tag for development builds and Fedora 7 onwards
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Remove buildroot unconditionally in %%clean and %%install
- Use search.cpan.org URLs
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Define %%{__id_u} in a more portable way

* Fri Sep  2 2005 Paul Howarth <paul@city-fan.org> 1.44-3
- Remove redundant arch-specific stuff
- Add note about package being available in Fedora Extras
- Fix directory ownership issues

* Wed May 25 2005 Paul Howarth <paul@city-fan.org> 1.44-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 1.44-1
- Initial build
